footer {
    background-color: var(--bg-color-secondary);
    align-items: center;
    padding-bottom: 2em;
}

footer img {
    height: 6dvh;
    width: 12dvh;
    object-fit: cover;
    object-position: center 40%;
    filter: grayscale(100%);
}

footer .limit-width {
    display: grid;

    grid-template-columns:
        repeat(auto-fit, minmax(220px, 1fr));

    gap: 2em;

    width: 90%;
    max-width: 1200px;

    padding: 3em 0;
}

footer .limit-width > div {
    display: flex;
    flex-direction: column;
    gap: 1em;

    min-width: 0;

    justify-content: center;
    align-items: center;
}

footer a {
    color: var(--text-color-primary);
    text-decoration: none;
}

footer a div {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
}

.footer-terms {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 1em;
    font-size: 0.8em;
    margin-bottom: 0.5dvh;
}

.footer-terms a {
    color: var(--text-color-secondary);
    text-decoration: none;
    padding: 0 0.5vw;
    border-left: 1px solid var(--bg-color-quaternary);
}

.footer-terms a:first-child {
    border-left: none;
}

.footer-cnpj {
    margin: 1dvh 0;
}

#btnTop {
    color: #ffffff;
    background-color: var(--bg-color-quaternary);
    border: var(--bg-color-quaternary) solid;
    height: 4dvh;
    font-size: 0.8em;
    width: 100%;
    border: none;
    padding: 0;
}

#btnTop.hidden {
    display: none !important;
}